Subject: [bug#74137] [PATCH] gnu: Add emacs-vi-tilde-fringe.

From: Rostislav Svoboda <[email-masked]>
Date: Fri, 1 Nov 2024 16:51:36 +0100

Hello,

> Therefore, I suggest to keep using the commit you refer to (f1597...),
> but mark it as version 1.0 instead of an obscure 1.0-1.f1597a8.

Did you mean 1.0-0.f1597a8?

Many Emacs packages have arbitrary version numbers like 0.1, 1.0,
0.07, 0.3.0, 20241019.2151, etc., or sometimes no version at all.
(Believe me, I’ve seen it all.) The only meaningful and reliable part
is actually just the commit hash, like f1597a8.

So, the 1.0 is already part of the version string, and the 0. is yet
another piece of arbitrary, unreliable information added by us and our
conventions this time.

Cheers
Bost